%{?mingw_package_header}

Name: mingw-libosinfo
Version: 1.8.0
Release: %mkrel 2
Summary: MinGW Windows port of a library for managing OS information for virtualization
License: LGPLv2+
Group: Development/Other
URL: https://libosinfo.org/
Source: https://releases.pagure.io/libosinfo/libosinfo-%{version}.tar.xz

### Patches ###

BuildArch: noarch

BuildRequires: git-core

BuildRequires: intltool
BuildRequires: meson
BuildRequires: gcc
BuildRequires: hwdata

BuildRequires: mingw32-filesystem >= 107
BuildRequires: mingw64-filesystem >= 107
BuildRequires: mingw32-gcc
BuildRequires: mingw64-gcc
BuildRequires: mingw32-binutils
BuildRequires: mingw64-binutils

BuildRequires: mingw32-glib2
BuildRequires: mingw64-glib2
BuildRequires: mingw32-libsoup
BuildRequires: mingw64-libsoup
BuildRequires: mingw32-libxml2
BuildRequires: mingw64-libxml2
BuildRequires: mingw32-libxslt
BuildRequires: mingw64-libxslt

BuildRequires: pkgconfig

BuildRequires: perl

%description
libosinfo is a library that allows virtualization provisioning tools to
determine the optimal device settings for a hypervisor/operating system
combination.

%package -n mingw32-libosinfo
Summary: %{summary}

Requires: pkgconfig

%description -n mingw32-libosinfo
libosinfo is a library that allows virtualization provisioning tools to
determine the optimal device settings for a hypervisor/operating system
combination.

%package -n mingw64-libosinfo
Summary: %{summary}

Requires: pkgconfig

%description -n mingw64-libosinfo
libosinfo is a library that allows virtualization provisioning tools to
determine the optimal device settings for a hypervisor/operating system
combination.

%{?mingw_debug_package}

%prep
%autosetup -S git -n libosinfo-%{version}

%build
%mingw_meson \
    -Denable-gtk-doc=false \
    -Denable-tests=false \
    -Denable-introspection=disabled \
    -Denable-vala=disabled
%mingw_ninja


%install
%mingw_ninja_install

# Remove static libraries but DON'T remove *.dll.a files.
rm -f $RPM_BUILD_ROOT%{mingw32_libdir}/libosinfo-1.0.a
rm -f $RPM_BUILD_ROOT%{mingw64_libdir}/libosinfo-1.0.a

# Libtool files don't need to be bundled
find $RPM_BUILD_ROOT -name "*.la" -delete

# Manpages don't need to be bundled
rm -rf $RPM_BUILD_ROOT%{mingw32_datadir}/man
rm -rf $RPM_BUILD_ROOT%{mingw64_datadir}/man

rm -rf $RPM_BUILD_ROOT%{mingw32_datadir}/gtk-doc
rm -rf $RPM_BUILD_ROOT%{mingw64_datadir}/gtk-doc

%files -n mingw32-libosinfo
%doc AUTHORS ChangeLog COPYING.LIB NEWS README
%{mingw32_bindir}/osinfo-detect.exe
%{mingw32_bindir}/osinfo-install-script.exe
%{mingw32_bindir}/osinfo-query.exe
%{mingw32_bindir}/libosinfo-1.0-0.dll
%{mingw32_libdir}/libosinfo-1.0.dll.a
%{mingw32_libdir}/pkgconfig/libosinfo-1.0.pc
%dir %{mingw32_includedir}/libosinfo-1.0/
%dir %{mingw32_includedir}/libosinfo-1.0/osinfo
%{mingw32_includedir}/libosinfo-1.0/osinfo/*.h
%dir %{mingw32_datadir}/libosinfo
%{mingw32_datadir}/libosinfo/usb.ids
%{mingw32_datadir}/libosinfo/pci.ids
%{mingw32_datadir}/locale/*/LC_MESSAGES/libosinfo.mo

%files -n mingw64-libosinfo
%doc AUTHORS ChangeLog COPYING.LIB NEWS README
%{mingw64_bindir}/osinfo-detect.exe
%{mingw64_bindir}/osinfo-install-script.exe
%{mingw64_bindir}/osinfo-query.exe
%{mingw64_bindir}/libosinfo-1.0-0.dll
%{mingw64_libdir}/libosinfo-1.0.dll.a
%{mingw64_libdir}/pkgconfig/libosinfo-1.0.pc
%dir %{mingw64_includedir}/libosinfo-1.0/
%dir %{mingw64_includedir}/libosinfo-1.0/osinfo
%{mingw64_includedir}/libosinfo-1.0/osinfo/*.h
%dir %{mingw64_datadir}/libosinfo
%{mingw64_datadir}/libosinfo/usb.ids
%{mingw64_datadir}/libosinfo/pci.ids
%{mingw64_datadir}/locale/*/LC_MESSAGES/libosinfo.mo



%changelog
* Sat Sep 26 2020 tv <tv> 1.8.0-2.mga8
+ Revision: 1630451
- rebuild for new mingw stack

* Mon Aug 10 2020 daviddavid <daviddavid> 1.8.0-1.mga8
+ Revision: 1613007
- new version: 1.8.0

* Tue Feb 18 2020 umeabot <umeabot> 1.7.1-2.mga8
+ Revision: 1539233
- Mageia 8 Mass Rebuild

* Wed Dec 04 2019 daviddavid <daviddavid> 1.7.1-1.mga8
+ Revision: 1464276
- new version: 1.7.1

* Thu Aug 29 2019 daviddavid <daviddavid> 1.6.0-1.mga8
+ Revision: 1434973
- new version: 1.6.0

* Wed Jul 10 2019 daviddavid <daviddavid> 1.5.0-2.mga8
+ Revision: 1419903
- Fix coverity issues
- CVE-2019-13313 libosinfo: osinfo-install-script
  option leaks password via command line argument

* Sat Jul 06 2019 daviddavid <daviddavid> 1.5.0-1.mga8
+ Revision: 1418928
- new version: 1.5.0

* Sat Mar 16 2019 daviddavid <daviddavid> 1.4.0-1.mga7
+ Revision: 1377803
- new version: 1.4.0

* Thu Sep 20 2018 umeabot <umeabot> 1.2.0-2.mga7
+ Revision: 1279844
- Mageia 7 Mass Rebuild

* Mon Aug 06 2018 daviddavid <daviddavid> 1.2.0-1.mga7
+ Revision: 1248235
- new version: 1.2.0

* Wed May 11 2016 tv <tv> 0.2.8-1.mga6
+ Revision: 1012715
- new release

* Fri Feb 05 2016 umeabot <umeabot> 0.2.3-4.mga6
+ Revision: 939919
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.2.3-3.mga5
+ Revision: 743970
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.3-2.mga5
+ Revision: 682481
- Mageia 5 Mass Rebuild

* Mon Sep 23 2013 neoclust <neoclust> 0.2.3-1.mga4
+ Revision: 484097
- imported package mingw-libosinfo

